## org.eclipse.uml2.uml.util
Class UMLUtil.PackageMerger.SourceMatcher

    java.lang.Object
      org.eclipse.uml2.common.util.UML2Util.EClassMatcher
          org.eclipse.uml2.common.util.UML2Util.EStructuralFeatureMatcher
              org.eclipse.uml2.uml.util.UMLUtil.PackageMerger.SourceMatcher

All Implemented Interfaces:
  UML2Util.EObjectMatcher

Enclosing class:
  UMLUtil.PackageMerger

    protected class UMLUtil.PackageMerger.SourceMatcher

extends UML2Util.EStructuralFeatureMatcher

Field Summary

Fields inherited from class org.eclipse.uml2.common.util.UML2Util.EStructuralFeatureMatcher
`eStructuralFeature`

Fields inherited from class org.eclipse.uml2.common.util.UML2Util.EClassMatcher
`eObject`

Constructor Summary
`protected` `UMLUtil.PackageMerger.SourceMatcher(org.eclipse.emf.ecore.EAnnotation eAnnotation)`

Method Summary

Methods inherited from class org.eclipse.uml2.common.util.UML2Util.EStructuralFeatureMatcher
`matches`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UMLUtil.PackageMerger.SourceMatcher

    protected UMLUtil.PackageMerger.SourceMatcher(org.eclipse.emf.ecore.EAnnotation eAnnotation)

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.